Put a try...catch around Anki downgrade exception, instructing users to read the documentation

addons_zz's Avatar

addons_zz

18 May, 2020 04:35 PM

This error is quite common as in https://anki.tenderapp.com/discussions/ankidesktop/41519-problems-w..., then, beyond showing the exception stacktrace, I suggest to also show a link to the documentation page and/or explicitly say:

After using the latest version, if you wish to open your collection with an earlier Anki release, please go to the File>Switch Profile menu item, and click on “Downgrade & Quit”. If you skip this step, you may get an error message when opening your collection in an older Anki version, and you will need to return to this version, downgrade, then try again.

  1. Support Staff 1 Posted by Damien Elmes on 19 May, 2020 05:25 AM

    Damien Elmes's Avatar

    The problem is that older Anki versions do not abort when the collection is a newer schema version than they support. We can't go back in time and fix them, so the only solution is to break the collection in a way that will prevent them from corrupting it.

Comments are closed, but you can start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac